package edu.uoc.pfc.lcamps.persistenciaFW.admin.connection;


/**
 * Interfície que ens servirà per obtenir el driver per connectar-nos a la BBDD
 * @author Llorenç Camps
 * 12/12/2013
 */
public interface ConnectionFW {
	
	/**
	 * Obtenim el tipus de driver que utilitzem
	 * @return
	 */
	String getTipusDriver();
	
	/**
	 * Obtenim la url de connexió de la BBDD
	 * @return
	 */
	String getUrl();
	
	/**
	 * Obtenim l'usuari de connexió de la BBDD
	 * @return
	 */
	String getUsuari();
	
	/**
	 * Obtenim el password de connexió de la BBDD
	 * @return
	 */
	String getPassword();
}