package edu.uoc.pfc.lcamps.persistenciaFW.constants;

/**
 * Classe que conté les constants amb els paràmetres de configuració
 * @author Llorenç Camps
 * 12/12/2013
 */
public final class ConfigConstants {

	// Nom del document que conté les properties
	public static final String FW_CONFIG_FILE = "uoc-persistenciaFW-config.properties";
	
	// Paràmetres
	public static final String FW_DB_DRIVER = "database.connection.driver";
	public static final String FW_DB_TIPUS_DRIVER = "database.connection.tipus.driver";	
	public static final String FW_DB_URL 	= "database.connection.url";
	public static final String FW_DB_USER 	= "database.connection.user";
	public static final String FW_DB_PASS 	= "database.connection.password";
	
	public static final String FW_DB_BEANS_PACKAGE = "database.beans.package";
	public static final String FW_DB_BEANS_BASEDIR = "database.beans.basedir";
}
