package edu.uoc.pfc.lcamps.persistenciaFW.constants;

/**
 * Classe que conté les constants per realitzar les querys a la BBDD
 * @author Llorenç Camps
 * 12/12/2013
 */
public final class SQLConstants {
	
	public static final String ID_AUTO_INCREMENTAL_ORACLE = "$$ID$$";
	public static final String ORACLE = "oracle";
	public static final String MYSQL = "mysql";
	public static final String OPEN_BRACKET = " ( ";
	public static final String CLOSE_BRACKET = " ) ";
	public static final String EQUALS = "=";
	  
	//Querys
	public static final String SELECT = "SELECT ";
	public static final String FROM = " FROM ";
	public static final String SELECT_ALL = SELECT + "*" + FROM;	
	public static final String INSERT = "INSERT INTO ";
	public static final String UPDATE = "UPDATE ";
	public static final String DELETE = "DELETE" + FROM;
	public static final String WHERE = " WHERE ";
	public static final String SET = " SET ";
	public static final String VALUES = CLOSE_BRACKET + "VALUES" + OPEN_BRACKET;
		
	public static final String QRY_SELECT_COUNT  = SELECT + "COUNT(*) FROM ( %s )";  
	public static final String QRY_SELECT_SEQUENCE = SELECT + "%s.NEXTVAL FROM DUAL";
	public static final String QRY_PAGINATED_RESULT = SELECT_ALL + "(SELECT ROWNUM as RN, lst.* FROM( %s )lst) WHERE RN BETWEEN %d AND %d";
	public static final String QRY_ID_MYSQL = "SELECT LAST_INSERT_ID()";
	
	// constants ORDER BY
	public static final String ORDER_ASC = "ASC";
	public static final String ORDER_DESC = "DESC";

	// Constants pels mètodes de construir queries
	public static final String AND = " AND ";
	public static final String OR = " OR ";
	public static final String ORDER_BY = " ORDER BY ";
    public static final String NULL_LAST = " NULLS LAST";
    public static final String COMMA = ",";
	public static final String SEMICOLON = ";";
    public static final String TIMESTAMP = " TO_TIMESTAMP('";
    public static final String LIKE = " LIKE ";
    public static final String UPPER = " UPPER(";
    public static final String IN = " IN(";
    public static final String TRANSLATE = " TRANSLATE(";
    public static final String TRANSLATE_ACCENT_VALUES = ", 'ÁÉÍÓÚÀÈÌÒÙÃÕÂÊÎÔÛÄËÏÖÜÇ',   'AEIOUAEIOUAOAEIOOAEIOUC') ";
    public static final String DOBLE_COMILLA_SIMPLE = "''";
	public static final String NULL_STRING = "null";
	public static final String TO_DATE = "to_date('";
	public static final String DATABASE_DATE_FORMAT = "DD-MM-YYYY HH24:MI:SS";
	public static final String DATABASE_JAVA_DATE_FORMAT = "dd-MM-yyyy HH:mm:ss";
	public static final String COMILLA_SIMPLE = "'";
	  
	// constants timestamp
    public static final String DATE_INF = " 00:00:00','" + DATABASE_DATE_FORMAT + "') ";
    public static final String DATE_MAX = " 23:59:59','" + DATABASE_DATE_FORMAT + "') ";
}
