package edu.uoc.pfc.lcamps.persistenciaFW.generator.provider.oracle;

import edu.uoc.pfc.lcamps.persistenciaFW.generator.impl.GeneratorColumnDBFWImpl;
import edu.uoc.pfc.lcamps.persistenciaFW.utils.SQLUtils;

/**
 * Classe que fa els mappings entre la columna de BBDD i la classe java
 * @author Llorenç Camps
 * 14/12/2013
 */
public class ColumnDBOracleImpl extends GeneratorColumnDBFWImpl{
	
	// Constructor	
	public ColumnDBOracleImpl( String name, int type, int precision ) {
		super( name, type, precision );
	}
	
	public String getJavaType( ) {
		return SQLUtils.getJavaType( this.getNameType() );
	}
}
