
package test.exemple.beans.catwings;

import java.sql.*;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations.*;
import java.io.Serializable;

/**
 * Taula: aeroport
 * Classe: AeroportVO
 * --------------------------------------------------
 * Versió de la base de dades : 5.1.54-community
 * Nom del driver : MySQL-AB JDBC Driver
 * Data generació : Sun Dec 15 19:20:06 CET 2013
 * --------------------------------------------------
 */
@Entity
@Table( name="aeroport")
public class AeroportVO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static int numFields = 4;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.String codiIata; 
	java.lang.String nom; 
	java.lang.String ciutat; 
	
	public AeroportVO() {}
	
	public AeroportVO(java.lang.Integer id,java.lang.String codiIata,java.lang.String nom,java.lang.String ciutat	) {
	    this.id = id;
	    this.codiIata = codiIata;
	    this.nom = nom;
	    this.ciutat = ciutat;
	  }
	
	  /**
	   * Sets del valor per id
	   * @param id
	   */
	  public void setId(java.lang.Integer id) {
	     this.id=id;
	  }
	
	  /**
	   * Gets del valor per id
	   */
	  @Id(name="ID", type="SMALLINT")
	@Sequence
	  public java.lang.Integer getId() {
	    return id;
	 }
	
	  /**
	   * Sets del valor per codiIata
	   * @param codiIata
	   */
	  public void setCodiIata(java.lang.String codiIata) {
	     this.codiIata=codiIata;
	  }
	
	  /**
	   * Gets del valor per codiIata
	   */
	  @Column(name="CODI_IATA", type="VARCHAR", nullable="NO")
	  public java.lang.String getCodiIata() {
	    return codiIata;
	 }
	
	  /**
	   * Sets del valor per nom
	   * @param nom
	   */
	  public void setNom(java.lang.String nom) {
	     this.nom=nom;
	  }
	
	  /**
	   * Gets del valor per nom
	   */
	  @Column(name="NOM", type="VARCHAR", nullable="NO")
	  public java.lang.String getNom() {
	    return nom;
	 }
	
	  /**
	   * Sets del valor per ciutat
	   * @param ciutat
	   */
	  public void setCiutat(java.lang.String ciutat) {
	     this.ciutat=ciutat;
	  }
	
	  /**
	   * Gets del valor per ciutat
	   */
	  @Column(name="CIUTAT", type="VARCHAR", nullable="NO")
	  public java.lang.String getCiutat() {
	    return ciutat;
	 }
	
	 /*
	  * (non-Javadoc) 
	  * 
	  * @see java.lang.Object#toString()
	  */
	  @Override
	  public String toString() {
	    return "AeroportVO [id=" + id + ", codiIata=" + codiIata + ", nom=" + nom + ", ciutat=" + ciutat + "]";
	}
	
}