package edu.uoc.pfc.lcamps.webapp.catwings.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import edu.uoc.pfc.lcamps.webapp.catwings.constants.ActionConstants;

/**
 * Classe Action que ens servirà per carregar la pantalla d'inici
 * @author Llorenç Camps 
 */
public class IniciAction extends GlobalAction{

	private static final Logger log = Logger.getLogger( IniciAction.class );

	@Override
	protected ActionForward doExecute(ActionMapping mapping, ActionForm form,
			HttpServletRequest req, HttpServletResponse res) throws Exception {
		
		try{
	        log.debug( "IniciAction() - Inici" );
	        return mapping.findForward( ActionConstants.MAPPING_OK );
		} catch (Exception e) {
			log.error( "IniciAction() - Error:" + e.getMessage(), e );
			return mapping.findForward( ActionConstants.MAPPING_OK );
		}
	}
}
