
package edu.uoc.pfc.lcamps.webapp.catwings.bd.entity;

import java.sql.*;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations.*;
import java.io.Serializable;

/**
 * Taula: vol
 * Classe: VolVO
 * --------------------------------------------------
 * VersiÃ³ de la base de dades : 5.1.54-community
 * Nom del driver : MySQL-AB JDBC Driver
 * Data generaciÃ³ : Sun Dec 29 18:49:28 CET 2013
 * --------------------------------------------------
 */
@Entity
@Table( name="vol")
public class VolVO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static int numFields = 10;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.Integer numVol; 
	java.lang.String origen; 
	java.lang.String desti; 
	java.lang.String horaSortida; 
	java.lang.String dataSortida; 
	java.lang.String horaArribada; 
	java.lang.String dataArribada; 
	java.lang.Integer numPlaces; 
	java.lang.Integer preuVol; 
	
	public VolVO() {}
	
	public VolVO(java.lang.Integer id,java.lang.Integer numVol,java.lang.String origen,java.lang.String desti,java.lang.String horaSortida,java.lang.String dataSortida,java.lang.String horaArribada,java.lang.String dataArribada,java.lang.Integer numPlaces,java.lang.Integer preuVol	) {
	    this.id = id;
	    this.numVol = numVol;
	    this.origen = origen;
	    this.desti = desti;
	    this.horaSortida = horaSortida;
	    this.dataSortida = dataSortida;
	    this.horaArribada = horaArribada;
	    this.dataArribada = dataArribada;
	    this.numPlaces = numPlaces;
	    this.preuVol = preuVol;
	  }
	
	  /**
	   * Sets del valor per id
	   * @param id
	   */
	  public void setId(java.lang.Integer id) {
	     this.id=id;
	  }
	
	  /**
	   * Gets del valor per id
	   */
	  @Id(name="ID", type="SMALLINT")
	@Sequence
	  public java.lang.Integer getId() {
	    return id;
	 }
	
	  /**
	   * Sets del valor per numVol
	   * @param numVol
	   */
	  public void setNumVol(java.lang.Integer numVol) {
	     this.numVol=numVol;
	  }
	
	  /**
	   * Gets del valor per numVol
	   */
	  @Column(name="NUM_VOL", type="SMALLINT", nullable="NO")
	  public java.lang.Integer getNumVol() {
	    return numVol;
	 }
	
	  /**
	   * Sets del valor per origen
	   * @param origen
	   */
	  public void setOrigen(java.lang.String origen) {
	     this.origen=origen;
	  }
	
	  /**
	   * Gets del valor per origen
	   */
	  @Column(name="ORIGEN", type="VARCHAR", nullable="NO")
	  public java.lang.String getOrigen() {
	    return origen;
	 }
	
	  /**
	   * Sets del valor per desti
	   * @param desti
	   */
	  public void setDesti(java.lang.String desti) {
	     this.desti=desti;
	  }
	
	  /**
	   * Gets del valor per desti
	   */
	  @Column(name="DESTI", type="VARCHAR", nullable="NO")
	  public java.lang.String getDesti() {
	    return desti;
	 }
	
	  /**
	   * Sets del valor per horaSortida
	   * @param horaSortida
	   */
	  public void setHoraSortida(java.lang.String horaSortida) {
	     this.horaSortida=horaSortida;
	  }
	
	  /**
	   * Gets del valor per horaSortida
	   */
	  @Column(name="HORA_SORTIDA", type="VARCHAR", nullable="NO")
	  public java.lang.String getHoraSortida() {
	    return horaSortida;
	 }
	
	  /**
	   * Sets del valor per dataSortida
	   * @param dataSortida
	   */
	  public void setDataSortida(java.lang.String dataSortida) {
	     this.dataSortida=dataSortida;
	  }
	
	  /**
	   * Gets del valor per dataSortida
	   */
	  @Column(name="DATA_SORTIDA", type="VARCHAR", nullable="NO")
	  public java.lang.String getDataSortida() {
	    return dataSortida;
	 }
	
	  /**
	   * Sets del valor per horaArribada
	   * @param horaArribada
	   */
	  public void setHoraArribada(java.lang.String horaArribada) {
	     this.horaArribada=horaArribada;
	  }
	
	  /**
	   * Gets del valor per horaArribada
	   */
	  @Column(name="HORA_ARRIBADA", type="VARCHAR", nullable="NO")
	  public java.lang.String getHoraArribada() {
	    return horaArribada;
	 }
	
	  /**
	   * Sets del valor per dataArribada
	   * @param dataArribada
	   */
	  public void setDataArribada(java.lang.String dataArribada) {
	     this.dataArribada=dataArribada;
	  }
	
	  /**
	   * Gets del valor per dataArribada
	   */
	  @Column(name="DATA_ARRIBADA", type="VARCHAR", nullable="NO")
	  public java.lang.String getDataArribada() {
	    return dataArribada;
	 }
	
	  /**
	   * Sets del valor per numPlaces
	   * @param numPlaces
	   */
	  public void setNumPlaces(java.lang.Integer numPlaces) {
	     this.numPlaces=numPlaces;
	  }
	
	  /**
	   * Gets del valor per numPlaces
	   */
	  @Column(name="NUM_PLACES", type="SMALLINT", nullable="NO")
	  public java.lang.Integer getNumPlaces() {
	    return numPlaces;
	 }
	
	  /**
	   * Sets del valor per preuVol
	   * @param preuVol
	   */
	  public void setPreuVol(java.lang.Integer preuVol) {
	     this.preuVol=preuVol;
	  }
	
	  /**
	   * Gets del valor per preuVol
	   */
	  @Column(name="PREU_VOL", type="SMALLINT", nullable="NO")
	  public java.lang.Integer getPreuVol() {
	    return preuVol;
	 }
	
	 /*
	  * (non-Javadoc) 
	  * 
	  * @see java.lang.Object#toString()
	  */
	  @Override
	  public String toString() {
	    return "VolVO [id=" + id + ", numVol=" + numVol + ", origen=" + origen + ", desti=" + desti + ", horaSortida=" + horaSortida + ", dataSortida=" + dataSortida + ", horaArribada=" + horaArribada + ", dataArribada=" + dataArribada + ", numPlaces=" + numPlaces + ", preuVol=" + preuVol + "]";
	}
	
}