package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql;

/**
 * Interfície que ens servirà per obtenir les diferents querys sobre la taula de l'aeroport
 * @author Llorenç Camps 
 */
public interface AeroportQueryProvider {
	
	/**
	 * Obte la query per obtenir l'aeroport a traves del codi iata
	 * @param codiIata
	 * @return
	 */
	String getQueryAeroportByCodiIata(String codiIata);

}
