package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql;

/**
 * Interfície que ens servirà per obtenir les diferents querys sobre la taula de la reserva
 * @author Llorenç Camps 
 */
public interface ReservaQueryProvider {

	/**
	 * Obte la query per obtenir la reserva a partir del codi de reserva
	 * @param codiReserva
	 * @return
	 */
	String getQuerySelectReservaByCodiReserva(String codiReserva);
}
