package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.impl;

import edu.uoc.pfc.lcamps.persistenciaFW.utils.SQLUtils;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.AeroportQueryProvider;

/**
 * Classe que implementa la interfície de les querys sobre la taula de l'aeroport
 * @author Llorenç Camps 
 */
public class AeroportQueryProviderImpl implements AeroportQueryProvider {

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.AeroportQueryProvider#getQueryAeroportByCodiIata(java.lang.String)
	 */
	@Override
	public String getQueryAeroportByCodiIata(String codiIata) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM AEROPORT WHERE CODI_IATA=" );
		
		sb.append( SQLUtils.formatString( codiIata ) );
		
		return sb.toString();
	}

}
