package edu.uoc.pfc.lcamps.webapp.catwings.service;

import edu.uoc.pfc.lcamps.persistenciaFW.exception.DBException;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.AeroportVO;

/**
 * Interfície que ens serveix per gestionar les diferents operacions sobre l'Aeroport
 * @author Llorenç Camps 
 */
public interface AeroportService {
	
	/**
	 * A partir del codi Iata obtenim la info de l'aeroport
	 * @param codiIata
	 * @return AeroportVO
	 */
	AeroportVO getAeroport( String codiIata ) throws DBException;
	
}
