//  Fitxer Js d'aeroports generat dinamicament 
//	Data Creacio: 25/11/2006 

//creem un array pels aeroports
var descripcions =new Array();
		
		descripcions['AMS'] = "Amsterdam (AMS)";
		descripcions['LEU'] = "Andorra (LEU)";
		descripcions['BCN'] = "Barcelona (BCN)";
		descripcions['BIO'] = "Bilbao (BIO)";
		descripcions['BIA'] = "Corcega, Bastia (BIA)";
		descripcions['IBZ'] = "Eivissa (IBZ)";
		descripcions['GVA'] = "Ginebra (GVA)";
		descripcions['GRO'] = "Girona (GRO)";
		descripcions['LIS'] = "Lisboa (LIS)";	
		descripcions['STN'] = "Londres, Stansted (STN)";	
		descripcions['MAD'] = "Madrid (MAD)";
		descripcions['MAU'] = "Maui (MAU)";
		descripcions['MXP'] = "Mila,Malpensa (MXP)";
		descripcions['MUC'] = "Munic (MUC)";		
		descripcions['PMI'] = "Palma de Mallorca (PMI)";
		descripcions['CDG'] = "Paris, Charles de Gaulle (CDG)";
		descripcions['PRG'] = "Praga (PRG)";
		descripcions['FCO'] = "Roma (FCO)";
		descripcions['AHO'] = "Sardenya, Alghero (AHO)";
		descripcions['VLC'] = "Valencia (VLC)";		
		
//creem un array d'origens per treure els aeroports
var origens = new Array();

		origens['ORI']= ['.','AMS','LEU','BCN','BIO','BIA','IBZ','GVA','GRO','LIS','STN','MAD','MAU','MXP','MUC','PMI','CDG','PRG','FCO','AHO','VLC'];		

//creem un array de trajectes		
var trajectes =new Array();

	trajectes['BCN']= ['AMS','LEU','IBZ','GVA','GRO','LIS','STN','MAD','MAU','MXP','MUC','PMI','CDG','PRG','FCO','.'];
	trajectes['PMI']= ['AMS','BCN','IBZ','STN','MAD','MXP','MUC','CDG','.'];
	trajectes['CDG']= ['BCN','BIA','IBZ','GVA','GRO','MAD','MXP','MUC','PMI','PRG','.'];
	trajectes['IBZ']= ['AMS','BCN','BIO','GRO','MAD','MXP','PMI','CDG','VLC','.'];
	trajectes['MAD']= ['BCN','BIO','IBZ','GVA','LIS','PMI','CDG','VLC','.'];
	trajectes['MXP']= ['AMS','BCN','IBZ','GRO','STN','MUC','PMI','CDG','PRG','AHO','.'];
	trajectes['BIO']= ['AMS','IBZ','GRO','STN','MAD','FCO','VLC','.'];
	trajectes['PRG']= ['AMS','BCN','GVA','STN','MXP','MUC','CDG','FCO','.'];
	trajectes['FCO']= ['AMS','BCN','BIO','GVA','LIS','PRG','.'];
	trajectes['LIS']= ['AMS','BCN','GRO','MAD','MUC','FCO','VLC','.'];
	trajectes['VLC']= ['AMS','BIO','IBZ','LIS','MAD','.'];
	trajectes['GRO']= ['BCN','BIO','BIA','IBZ','LIS','STN','MXP','CDG','AHO','.'];
	trajectes['AMS']= ['BCN','BIO','IBZ','LIS','MXP','PMI','PRG','FCO','VLC','.'];
	trajectes['GVA']= ['BCN','MAD','CDG','PRG','FCO','.'];
	trajectes['MUC']= ['BCN','LIS','PMI','CDG','PRG','.'];
	trajectes['STN']= ['BCN','BIO','GRO','MXP','PMI','PRG','.'];
	trajectes['BIA']= ['GRO','CDG','.'];
	trajectes['AHO']= ['GRO','MXP','.'];
	trajectes['LEU']= ['BCN','.'];
	trajectes['MAU']= ['BCN','.'];
	
	
	//funci? per generar una opcio de un combo
	function generaOpcio(txt,value,idCombo,pos) {
		oOption = document.createElement("OPTION");
		oOption.text = txt;
		oOption.value = value;
		
		document.getElementById(idCombo).options[pos] = oOption;
	}

	// Funci? per obtenir el nom de l'aeroport
	function getAeroName(aptCod){
		return descripcions[aptCod];
	}


/**
	Funci? per generar les dades dels aeroports de sortida Us: body -> onLoad="carregaAeroportsOrigen('comboId');"
**/

function carregaAeroportsOrigen(comboId){
	var pos = 0;
	var txt = '';
	var value = '';

	document.getElementById(comboId).options.length = 0;
	generaOpcio('Seleccioni Aeroport','',comboId, 0);
	
	for (ori in origens)	{		
		pos++;
		//carregem els aeroports
		var origenList = origens[ori];	
		for (apt in origenList)	{
			if (origenList[apt]!='.'){
				pos++;
				generaOpcio(getAeroName(origenList[apt]),origenList[apt],comboId, pos);
			}
		}
	}
}	


/**
	Funci? per generar les dades dels aeroports de dest? en funci? de l'aeroport de sortida
**/		

function carregaAeroportsDesti(origenId, destinacioId) {	
	var pos = 1;
	var aerop = document.getElementById(origenId).value;
	var destins = trajectes[aerop];
  	var msg = '';
  
	document.getElementById(destinacioId).options.length = 0;	
	generaOpcio('Seleccioni desti....','',destinacioId, 0);
	
	for (listaZona in destins){
		var arrDesti = destins[listaZona];
		if (arrDesti!='.'){
				generaOpcio(getAeroName(arrDesti) ,arrDesti,destinacioId, pos);						
				pos++;
		}
	}	
	
}	
