package edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotació per a identificar que una classe es mapeja a una entitat.
 * @author Llorenç Camps
 * 13/12/2013
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface Entity { 
	/**
	 * Identifiquem el driver
	 * @return
	 */
	String driver() default "undefined";
}
