package edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotació per a identificar que una classe es mapeja a una sequencia.
 * @author Llorenç Camps
 * 13/12/2013
 */
@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
public @interface Sequence {
	/**
	 * Identifiquem el nom de la clau
	 * @return nom de la clau 
	 */
	String key() default "default";
}
