package edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Anotació per a identificar que una classe es mapeja a una taula.
 * @author Llorenç Camps
 * 12/12/2013
 */
@Target({ ElementType.TYPE })
@Retention(RetentionPolicy.RUNTIME)
public @interface Table {
	
	/**
	 * Identifiquem el nom de la taula per mapejar l'entitat
	 * @return nom de la taula 
	 */
	String name();
}
