package edu.uoc.pfc.lcamps.persistenciaFW.generator;

/**
 * Interfície que ens servirà per la gestió de la generació de la columna
 * @author Llorenç Camps
 * 13/12/2013
 */
public interface GeneratorColumnDBFW {

	/**
	 * Obtenim el tipus de Java
	 * @return
	 */
	String getJavaType();
	
	/**
	 * Obtenim el nom de la columna
	 * @return
	 */
	String getName();
	
	/**
	 * Setejem el nom de la columna
	 * @param name
	 */
	void setName(String name);
	
	/**
	 * Obtenim el nom del tipus
	 * @return
	 */
	String getNameType();
	
	/**
	 * Setejem el nom del tipus
	 * @param nameType
	 */
	void setNameType(String nameType);
	
	/**
	 * Obtenim el tipus
	 * @return
	 */
	int getType();
	
	/**
	 * Setejem el tipus
	 * @param type
	 */
	void setType(int type);
	
	/**
	 * Obtenim la precisio
	 * @return
	 */
	int getPrecision();
	
	/**
	 * Setejem la precisió
	 * @param precision
	 */
	void setPrecision(int precision);
	
	/**
	 * Obtenim el tamany
	 * @return
	 */
	int getSize();
	
	/**
	 * Setejem el tamany
	 * @param size
	 */
	void setSize(int size);
	
	/**
	 * Obtenim si es nullable
	 * @return
	 */
	boolean isNullable();
	
	/**
	 * Setejem si es nullable
	 * @param nullable
	 */
	void setNullable(boolean nullable);
	
	/**
	 * Obtenim si es autoincremental
	 * @return
	 */
	boolean isAutoincrement();
	
	/**
	 * Setejem si es autoincremental
	 * @param autoincrement
	 */
	void setAutoincrement(boolean autoincrement);
}
