package edu.uoc.pfc.lcamps.webapp.catwings.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * Classe abstracta que extén de Action a on totes les Actions extendràn d'aquesta
 * @author Llorenç Camps 
 */
public abstract class GlobalAction extends Action {
	
	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception {   
	    return this.doExecute( mapping, form, req, res );
	}
	
	protected abstract ActionForward doExecute(ActionMapping mapping, ActionForm form, HttpServletRequest req, HttpServletResponse res) throws Exception ;
}
