
package edu.uoc.pfc.lcamps.webapp.catwings.bd.entity;

import java.sql.*;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations.*;
import java.io.Serializable;

/**
 * Taula: passatger
 * Classe: PassatgerVO
 * --------------------------------------------------
 * VersiÃ³ de la base de dades : 5.1.54-community
 * Nom del driver : MySQL-AB JDBC Driver
 * Data generaciÃ³ : Sun Dec 29 18:49:28 CET 2013
 * --------------------------------------------------
 */
@Entity
@Table( name="passatger")
public class PassatgerVO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static int numFields = 16;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.String codiPassatger; 
	java.lang.String titol; 
	java.lang.String nom; 
	java.lang.String cognoms; 
	java.lang.String dataNaixement; 
	java.lang.String adreca; 
	java.lang.String poblacio; 
	java.lang.String provincia; 
	java.lang.Integer cpostal; 
	java.lang.String pais; 
	java.lang.Integer telf1; 
	java.lang.Integer telf2; 
	java.lang.String email; 
	java.lang.String ambqui; 
	java.lang.String tipus; 
	
	public PassatgerVO() {}
	
	public PassatgerVO(java.lang.Integer id,java.lang.String codiPassatger,java.lang.String titol,java.lang.String nom,java.lang.String cognoms,java.lang.String dataNaixement,java.lang.String adreca,java.lang.String poblacio,java.lang.String provincia,java.lang.Integer cpostal,java.lang.String pais,java.lang.Integer telf1,java.lang.Integer telf2,java.lang.String email,java.lang.String ambqui,java.lang.String tipus	) {
	    this.id = id;
	    this.codiPassatger = codiPassatger;
	    this.titol = titol;
	    this.nom = nom;
	    this.cognoms = cognoms;
	    this.dataNaixement = dataNaixement;
	    this.adreca = adreca;
	    this.poblacio = poblacio;
	    this.provincia = provincia;
	    this.cpostal = cpostal;
	    this.pais = pais;
	    this.telf1 = telf1;
	    this.telf2 = telf2;
	    this.email = email;
	    this.ambqui = ambqui;
	    this.tipus = tipus;
	  }
	
	  /**
	   * Sets del valor per id
	   * @param id
	   */
	  public void setId(java.lang.Integer id) {
	     this.id=id;
	  }
	
	  /**
	   * Gets del valor per id
	   */
	  @Id(name="ID", type="SMALLINT")
	@Sequence
	  public java.lang.Integer getId() {
	    return id;
	 }
	
	  /**
	   * Sets del valor per codiPassatger
	   * @param codiPassatger
	   */
	  public void setCodiPassatger(java.lang.String codiPassatger) {
	     this.codiPassatger=codiPassatger;
	  }
	
	  /**
	   * Gets del valor per codiPassatger
	   */
	  @Column(name="CODI_PASSATGER", type="VARCHAR", nullable="NO")
	  public java.lang.String getCodiPassatger() {
	    return codiPassatger;
	 }
	
	  /**
	   * Sets del valor per titol
	   * @param titol
	   */
	  public void setTitol(java.lang.String titol) {
	     this.titol=titol;
	  }
	
	  /**
	   * Gets del valor per titol
	   */
	  @Column(name="TITOL", type="VARCHAR", nullable="SI")
	  public java.lang.String getTitol() {
	    return titol;
	 }
	
	  /**
	   * Sets del valor per nom
	   * @param nom
	   */
	  public void setNom(java.lang.String nom) {
	     this.nom=nom;
	  }
	
	  /**
	   * Gets del valor per nom
	   */
	  @Column(name="NOM", type="VARCHAR", nullable="NO")
	  public java.lang.String getNom() {
	    return nom;
	 }
	
	  /**
	   * Sets del valor per cognoms
	   * @param cognoms
	   */
	  public void setCognoms(java.lang.String cognoms) {
	     this.cognoms=cognoms;
	  }
	
	  /**
	   * Gets del valor per cognoms
	   */
	  @Column(name="COGNOMS", type="VARCHAR", nullable="NO")
	  public java.lang.String getCognoms() {
	    return cognoms;
	 }
	
	  /**
	   * Sets del valor per dataNaixement
	   * @param dataNaixement
	   */
	  public void setDataNaixement(java.lang.String dataNaixement) {
	     this.dataNaixement=dataNaixement;
	  }
	
	  /**
	   * Gets del valor per dataNaixement
	   */
	  @Column(name="DATA_NAIXEMENT", type="VARCHAR", nullable="SI")
	  public java.lang.String getDataNaixement() {
	    return dataNaixement;
	 }
	
	  /**
	   * Sets del valor per adreca
	   * @param adreca
	   */
	  public void setAdreca(java.lang.String adreca) {
	     this.adreca=adreca;
	  }
	
	  /**
	   * Gets del valor per adreca
	   */
	  @Column(name="ADRECA", type="VARCHAR", nullable="SI")
	  public java.lang.String getAdreca() {
	    return adreca;
	 }
	
	  /**
	   * Sets del valor per poblacio
	   * @param poblacio
	   */
	  public void setPoblacio(java.lang.String poblacio) {
	     this.poblacio=poblacio;
	  }
	
	  /**
	   * Gets del valor per poblacio
	   */
	  @Column(name="POBLACIO", type="VARCHAR", nullable="SI")
	  public java.lang.String getPoblacio() {
	    return poblacio;
	 }
	
	  /**
	   * Sets del valor per provincia
	   * @param provincia
	   */
	  public void setProvincia(java.lang.String provincia) {
	     this.provincia=provincia;
	  }
	
	  /**
	   * Gets del valor per provincia
	   */
	  @Column(name="PROVINCIA", type="VARCHAR", nullable="SI")
	  public java.lang.String getProvincia() {
	    return provincia;
	 }
	
	  /**
	   * Sets del valor per cpostal
	   * @param cpostal
	   */
	  public void setCpostal(java.lang.Integer cpostal) {
	     this.cpostal=cpostal;
	  }
	
	  /**
	   * Gets del valor per cpostal
	   */
	  @Column(name="CPOSTAL", type="INT", nullable="SI")
	  public java.lang.Integer getCpostal() {
	    return cpostal;
	 }
	
	  /**
	   * Sets del valor per pais
	   * @param pais
	   */
	  public void setPais(java.lang.String pais) {
	     this.pais=pais;
	  }
	
	  /**
	   * Gets del valor per pais
	   */
	  @Column(name="PAIS", type="VARCHAR", nullable="SI")
	  public java.lang.String getPais() {
	    return pais;
	 }
	
	  /**
	   * Sets del valor per telf1
	   * @param telf1
	   */
	  public void setTelf1(java.lang.Integer telf1) {
	     this.telf1=telf1;
	  }
	
	  /**
	   * Gets del valor per telf1
	   */
	  @Column(name="TELF1", type="INT", nullable="SI")
	  public java.lang.Integer getTelf1() {
	    return telf1;
	 }
	
	  /**
	   * Sets del valor per telf2
	   * @param telf2
	   */
	  public void setTelf2(java.lang.Integer telf2) {
	     this.telf2=telf2;
	  }
	
	  /**
	   * Gets del valor per telf2
	   */
	  @Column(name="TELF2", type="INT", nullable="SI")
	  public java.lang.Integer getTelf2() {
	    return telf2;
	 }
	
	  /**
	   * Sets del valor per email
	   * @param email
	   */
	  public void setEmail(java.lang.String email) {
	     this.email=email;
	  }
	
	  /**
	   * Gets del valor per email
	   */
	  @Column(name="EMAIL", type="VARCHAR", nullable="SI")
	  public java.lang.String getEmail() {
	    return email;
	 }
	
	  /**
	   * Sets del valor per ambqui
	   * @param ambqui
	   */
	  public void setAmbqui(java.lang.String ambqui) {
	     this.ambqui=ambqui;
	  }
	
	  /**
	   * Gets del valor per ambqui
	   */
	  @Column(name="AMBQUI", type="VARCHAR", nullable="SI")
	  public java.lang.String getAmbqui() {
	    return ambqui;
	 }
	
	  /**
	   * Sets del valor per tipus
	   * @param tipus
	   */
	  public void setTipus(java.lang.String tipus) {
	     this.tipus=tipus;
	  }
	
	  /**
	   * Gets del valor per tipus
	   */
	  @Column(name="TIPUS", type="CHAR", nullable="SI")
	  public java.lang.String getTipus() {
	    return tipus;
	 }
	
	 /*
	  * (non-Javadoc) 
	  * 
	  * @see java.lang.Object#toString()
	  */
	  @Override
	  public String toString() {
	    return "PassatgerVO [id=" + id + ", codiPassatger=" + codiPassatger + ", titol=" + titol + ", nom=" + nom + ", cognoms=" + cognoms + ", dataNaixement=" + dataNaixement + ", adreca=" + adreca + ", poblacio=" + poblacio + ", provincia=" + provincia + ", cpostal=" + cpostal + ", pais=" + pais + ", telf1=" + telf1 + ", telf2=" + telf2 + ", email=" + email + ", ambqui=" + ambqui + ", tipus=" + tipus + "]";
	}
	
}