
package edu.uoc.pfc.lcamps.webapp.catwings.bd.entity;

import java.sql.*;
import edu.uoc.pfc.lcamps.persistenciaFW.admin.annotations.*;
import java.io.Serializable;

/**
 * Taula: reserva
 * Classe: ReservaVO
 * --------------------------------------------------
 * VersiÃ³ de la base de dades : 5.1.54-community
 * Nom del driver : MySQL-AB JDBC Driver
 * Data generaciÃ³ : Sun Dec 29 18:49:28 CET 2013
 * --------------------------------------------------
 */
@Entity
@Table( name="reserva")
public class ReservaVO implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	public static int numFields = 7;
	
	 // Atributs de la classe
	java.lang.Integer id; 
	java.lang.String codiReserva; 
	java.lang.Integer volAnada; 
	java.lang.Integer volTornada; 
	java.lang.String passatger; 
	java.lang.Integer places; 
	java.lang.Boolean pagada; 
	
	public ReservaVO() {}
	
	public ReservaVO(java.lang.Integer id,java.lang.String codiReserva,java.lang.Integer volAnada,java.lang.Integer volTornada,java.lang.String passatger,java.lang.Integer places,java.lang.Boolean pagada	) {
	    this.id = id;
	    this.codiReserva = codiReserva;
	    this.volAnada = volAnada;
	    this.volTornada = volTornada;
	    this.passatger = passatger;
	    this.places = places;
	    this.pagada = pagada;
	  }
	
	  /**
	   * Sets del valor per id
	   * @param id
	   */
	  public void setId(java.lang.Integer id) {
	     this.id=id;
	  }
	
	  /**
	   * Gets del valor per id
	   */
	  @Id(name="ID", type="SMALLINT")
	@Sequence
	  public java.lang.Integer getId() {
	    return id;
	 }
	
	  /**
	   * Sets del valor per codiReserva
	   * @param codiReserva
	   */
	  public void setCodiReserva(java.lang.String codiReserva) {
	     this.codiReserva=codiReserva;
	  }
	
	  /**
	   * Gets del valor per codiReserva
	   */
	  @Column(name="CODI_RESERVA", type="VARCHAR", nullable="NO")
	  public java.lang.String getCodiReserva() {
	    return codiReserva;
	 }
	
	  /**
	   * Sets del valor per volAnada
	   * @param volAnada
	   */
	  public void setVolAnada(java.lang.Integer volAnada) {
	     this.volAnada=volAnada;
	  }
	
	  /**
	   * Gets del valor per volAnada
	   */
	  @Column(name="VOL_ANADA", type="INT", nullable="NO")
	  public java.lang.Integer getVolAnada() {
	    return volAnada;
	 }
	
	  /**
	   * Sets del valor per volTornada
	   * @param volTornada
	   */
	  public void setVolTornada(java.lang.Integer volTornada) {
	     this.volTornada=volTornada;
	  }
	
	  /**
	   * Gets del valor per volTornada
	   */
	  @Column(name="VOL_TORNADA", type="INT", nullable="SI")
	  public java.lang.Integer getVolTornada() {
	    return volTornada;
	 }
	
	  /**
	   * Sets del valor per passatger
	   * @param passatger
	   */
	  public void setPassatger(java.lang.String passatger) {
	     this.passatger=passatger;
	  }
	
	  /**
	   * Gets del valor per passatger
	   */
	  @Column(name="PASSATGER", type="VARCHAR", nullable="NO")
	  public java.lang.String getPassatger() {
	    return passatger;
	 }
	
	  /**
	   * Sets del valor per places
	   * @param places
	   */
	  public void setPlaces(java.lang.Integer places) {
	     this.places=places;
	  }
	
	  /**
	   * Gets del valor per places
	   */
	  @Column(name="PLACES", type="SMALLINT", nullable="NO")
	  public java.lang.Integer getPlaces() {
	    return places;
	 }
	
	  /**
	   * Sets del valor per pagada
	   * @param pagada
	   */
	  public void setPagada(java.lang.Boolean pagada) {
	     this.pagada=pagada;
	  }
	
	  /**
	   * Gets del valor per pagada
	   */
	  @Column(name="PAGADA", type="BIT", nullable="NO")
	  public java.lang.Boolean getPagada() {
	    return pagada;
	 }
	
	 /*
	  * (non-Javadoc) 
	  * 
	  * @see java.lang.Object#toString()
	  */
	  @Override
	  public String toString() {
	    return "ReservaVO [id=" + id + ", codiReserva=" + codiReserva + ", volAnada=" + volAnada + ", volTornada=" + volTornada + ", passatger=" + passatger + ", places=" + places + ", pagada=" + pagada + "]";
	}
	
}