package edu.uoc.pfc.lcamps.webapp.catwings.bd.generate.beans;

import edu.uoc.pfc.lcamps.persistenciaFW.generator.GenerateBeansFW;

/**
 * Classe que utilitzem per la generació dels beans de la base de dades
 * @author Llorenç Camps 
 */
public class GenerateBeansDB {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		System.out.println("Iniciant la generació de beans de la base de dades ... ");
		try{
			GenerateBeansFW.getInstance().generateDBBeans();
			System.out.println("Beans generats correctament!");
		}catch(Exception e){
			System.err.println("Error : " + e.getMessage());
		}
		finally{
			System.out.println("Procés de generació de beans finalitzat!");
		}
	}

}
