package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql;

/**
 * Interfície que ens servirà per obtenir les diferents querys sobre la taula del vol
 * @author Llorenç Camps 
 */
public interface VolQueryProvider {
	
	/**
	 * Obte la query per obtenir el llistat de vols
	 * @param origen
	 * @param desti
	 * @param dataSortida
	 * @param numPlaces
	 * @return
	 */	
	String getQuerySelectVolByInfo(String origen, String desti, String dataSortida, int numPlaces);
	
	/**
	 * Obte la query per obtenir el vol
	 * @param numVol
	 * @return
	 */	
	String getQuerySelectVolByNumVol(int numVol);

}
