package edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.impl;

import edu.uoc.pfc.lcamps.persistenciaFW.utils.SQLUtils;
import edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.VolQueryProvider;

/**
 * Classe que implementa la interfície de les querys sobre la taula del vol
 * @author Llorenç Camps 
 */
public class VolQueryProviderImpl implements VolQueryProvider {

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.VolQueryProvider#getQuerySelectVolByInfo(java.lang.String, java.lang.String, java.lang.String, int)
	 */
	@Override
	public String getQuerySelectVolByInfo(String origen, String desti, String dataSortida, int numPlaces) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM VOL WHERE ORIGEN=" );
		
		sb.append( SQLUtils.formatString( origen ) );
		sb.append( " AND DESTI=" ).append( SQLUtils.formatString( desti ) );
		sb.append( " AND DATA_SORTIDA=" ).append( SQLUtils.formatString( dataSortida ) );
		sb.append( " AND NUM_PLACES >=" ).append( numPlaces );
		
		return sb.toString();
	}

	/*
	 * (non-Javadoc)
	 * @see edu.uoc.pfc.lcamps.webapp.catwings.bd.sql.VolQueryProvider#getQuerySelectVolByNumVol(int)
	 */
	@Override
	public String getQuerySelectVolByNumVol(int numVol) {
		StringBuffer sb = new StringBuffer( "SELECT * FROM VOL WHERE NUM_VOL=" ).append( numVol );
		return sb.toString();
	}

}
