package edu.uoc.pfc.lcamps.webapp.catwings.pojo;

import java.util.List;

import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.VolVO;

/**
 * Classe que conté la informació necessària per mostar a l'usuari de la seva reserva
 * @author Llorenç Camps 
 */
public class ReservaInfoVO {

	// Atributs
	String codiReserva;
	VolVO volAnada;	
	VolVO volTornada;
	ContacteVO contacte;
	List<String> nomsPassatgers;
	
	// Constructor
	public ReservaInfoVO(){super();}

	// Getters && Setters
	public String getCodiReserva() {
		return codiReserva;
	}

	public void setCodiReserva(String codiReserva) {
		this.codiReserva = codiReserva;
	}

	public VolVO getVolAnada() {
		return volAnada;
	}

	public void setVolAnada(VolVO volAnada) {
		this.volAnada = volAnada;
	}

	public VolVO getVolTornada() {
		return volTornada;
	}

	public void setVolTornada(VolVO volTornada) {
		this.volTornada = volTornada;
	}

	public ContacteVO getContacte() {
		return contacte;
	}

	public void setContacte(ContacteVO contacte) {
		this.contacte = contacte;
	}

	public List<String> getNomsPassatgers() {
		return nomsPassatgers;
	}

	public void setNomsPassatgers(List<String> nomsPassatgers) {
		this.nomsPassatgers = nomsPassatgers;
	}
	
	
}
