package edu.uoc.pfc.lcamps.webapp.catwings.pojo;

import java.util.List;

import edu.uoc.pfc.lcamps.webapp.catwings.bd.entity.VolVO;

/**
 * Classe que conté la informació dels vols d'anada i tornada que utilitzarem per enviar-la a la jsp i aixi printar els resultats
 * @author Llorenç Camps 
 */
public class VolResultVO {
	
	// Atributs
	List<VolVO> volsAnada;	
	List<VolVO> volsTornada;
	
	// Constructor
	public VolResultVO(){super();}	
	
	// Getters && Setters
	public List<VolVO> getVolsAnada() {
		return volsAnada;
	}
	
	public void setVolsAnada(List<VolVO> volsAnada) {
		this.volsAnada = volsAnada;
	}
	
	public List<VolVO> getVolsTornada() {
		return volsTornada;
	}
	
	public void setVolsTornada(List<VolVO> volsTornada) {
		this.volsTornada = volsTornada;
	}
}
